Module org.apache.sis.storage
Package org.apache.sis.storage

# Class UnsupportedEncodingException

Object
Throwable
Exception
DataStoreException
DataStoreContentException
UnsupportedEncodingException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class UnsupportedEncodingException extends DataStoreContentException
Thrown when a storage uses some encoding options not supported by current implementation. For example, it may be a compression method not implemented by the reader.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedEncodingException(String message)`
  Creates an exception with the specified details message.
  `UnsupportedEncodingException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `UnsupportedEncodingException(Throwable cause)`
  Creates an exception with the specified cause and no details message.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedEncodingException

    public UnsupportedEncodingException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### UnsupportedEncodingException

    public UnsupportedEncodingException(Throwable cause)
    Creates an exception with the specified cause and no details message.
    Parameters:
      `cause` - the cause for this exception.

  - ### UnsupportedEncodingException

    public UnsupportedEncodingException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.